#include <arduino_uvga.h>
#include <conio.h>
#include <kbd.h>
#include <ui.h>

void setup()   {                
   microvga_init();
}


const static char *mainmenu[] = 
{ 
  "Submenu 1",
  "Submenu 2 - same as previous item",
  "Submenu 3",
  0
};

const static char *submenu1[] = 
{ 
  "Do nothing 1",
  "Do nothing 2",
  "Do nothing 3",
  0
};


const static char *submenu2[] = 
{ 
  "Do nothing 1",
  "Do nothing 2",
  "Do nothing 3",
  0
};

const static char *submenu3[] = 
{ 
  "Do nothing 1",
  "Do nothing 2",
  "Do nothing 3",
  "Enter new submenu...",
  0
};




void menu1()                     
{
	int item;
  

	item = 0;
	do {

		item = runmenu(7,7, submenu1, item);

		switch (item) {
		  default :break;
		}
	} while (item >0);

}


void menu3()                     
{
	int item;
  

	item = 0;
	do {
	
		item = runmenu(7,9, submenu3, item);

		switch (item) {
		  default:break;
		}
	} while (item > 0);

}

void loop()                     
{
	int item;
  

	item = 0;
	while (1) {
		textbackground(BLUE);

		clrscr();
		textcolor(BLACK);
		textbackground(CYAN);
		_cputs("This is MicroVGA-TEXT Arduino menu demonstration");
		clreol();

		textbackground(LIGHTRED);
		textcolor(GREEN);
		gotoxy(1,25);
		clreol();
		_cputs("MicroVGA connects VGA monitor or TV and keyboard to Arduino! www.MicroVGA.com");
	
		item = runmenu(5,5, mainmenu, item);

		switch (item) {
		  case 1:  menu1(); break;
		  case 2:  menu1(); break;
		  case 3:  menu3(); break;
		}
	} /* forever loop */

}